Bug 73469 - "make rpm" target doesn't use rpmbuild
Summary: "make rpm" target doesn't use rpmbuild
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: rpm   
(Show other bugs)
Version: null
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-05 01:50 UTC by Damien Miller
Modified: 2007-04-18 16:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-05 10:17:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Autodetect rpmbuild (454 bytes, patch)
2003-02-10 03:35 UTC, Damien Miller
no flags Details | Diff

Description Damien Miller 2002-09-05 01:50:09 UTC
The "make rpm" target uses the obselete "rpm -ta" invocation to try to build the
package. This needs to be replaced with "rpmbuild -ta" and it works fine.

Comment 1 Alan Cox 2002-09-05 10:16:40 UTC
rpm -ta is the "standard" that works on every other distro and is in lots of
documentation. Make rpm is from the base kernel and has to work with all kernels.

Really I think rpm wants fixing at some point to know that if it seems a build
option of any kind to exec rpmbuild.

Component changed to rpm


Comment 2 Jeff Johnson 2002-09-17 11:50:09 UTC
THe build options moved out of /bin/rpm more than
2 years ago. Fix your Makefile, or see "man rpm"
in rpm-4.1 to configure rpm to exec build modes.

Comment 3 Damien Miller 2003-02-10 03:35:11 UTC
Created attachment 89957 [details]
Autodetect rpmbuild

This is silly. The kernel folks blame the rpm folks and vice-versa. Something
like this patch may help.

Comment 4 Jeff Johnson 2003-02-10 13:56:42 UTC
Agreed silly.


Note You need to log in before you can comment on or make changes to this bug.